Gateway 3DS Supports for Firmware 9.0 – 9.2 Coming

Dear Customers,

Here is an exciting news from Gateway 3DS Team – Gateway 3DS card can support 3DS V9.0.x-V9.2.x Now!
That means you can use gateway card on the newest 3DS firmware, it supports New 3DS, 3DS XL/LL, 2DS !

As you know, recently some new cards released, such as the SKY3DS, R5SDHC, K3DS, the 3 cards can work on the newest V9.2.x 3DS firmware,
but they are limited only 10 3DS games, and the price is very expensive.

Now, gateway 3ds can supports 3DS V9.0.x-V9.2.x with unlimited 3ds roms, and much cheaper price.
So, if you are ready to buy a flashcarts for your 3DS,
Gateway 3DS is still your best choice!

The following is the original news from Gateway Team:

We recently reached a major milestone and now we are happy to announce that we are in the process of finalizing our support for 3DS systems running System Firmware 9.0.0-20 / 9.1.0-20J / 9.2.0-20 natively!
Yes, this includes 2DS and New 3DS!

Yes, you heard us right! If you have a 3DS, or a 2DS or a New 3DS system that is running System Firmware 9.0.0-20, 9.1.0-20J or 9.2.0-20 then you WILL be able to use it with Gateway 3DS!

We recommend the following to our interested users:
- If you are on native System Firmare 4.5, then please stay at this version.
- If you are on native System Firmware 5.0 or higher, then please update to 9.0.0-20, 9.1.0-20J or 9.2.0-20 and stay on this version. Do not update beyond this version.

But we also need help from YOU our loyal users!
We need you to get the word out to your community, friends and family that they must not update their 3DS beyond the version we recommended above!
We cannot guarantee that our solution will keep working with future updates above 9.2.0-20!

Leave a Reply